Bug 552826 - Merge Review: perl-Tree-DAG_Node - Class for representing nodes in a tree
Summary: Merge Review: perl-Tree-DAG_Node - Class for representing nodes in a tree
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-06 09:04 UTC by Marcela Mašláňová
Modified: 2013-03-04 01:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 14:15:16 UTC
Type: ---
jvcelak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-01-06 09:04:59 UTC
SRPM: http://kojipkgs.fedoraproject.org/packages/perl-Tree-DAG_Node/1.06/6.fc12/src/perl-Tree-DAG_Node-1.06-6.fc12.src.rpm
Spec: http://koji.fedoraproject.org/koji/fileinfo?rpmID=1426659&filename=perl-Tree-DAG_Node.spec
Description: This class encapsulates/makes/manipulates objects that represent nodes in a tree structure. The tree structure is not an object itself, but is emergent from the linkages you create between nodes. This class provides the methods for making linkages that can be used to build up a tree, while preventing you from ever making any kinds of linkages which are not allowed in a tree (such as having a node be its own mother or ancestor, or having a node have two mothers).

Comment 1 Jan Vcelak 2010-01-14 13:53:52 UTC
MUST items:

[YES] rpmlint is silent:

$ rpmlint ./perl-Tree-DAG_Node.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[YES] Package meets naming and packaging guidelines.
[YES] Spec file matches the base package name.
[YES] Meets licensing guidelines.
[YES] License specified in spec file and matches.
[YES] Spec file in American English.
[YES] Spec file is legible.
[YES] Spec file uses macros consistently.
[YES] Sources match upstream version.
[YES] Can be successfully compiled.
[YES] All BuildRequires are listed.
[YES] Doesn't bundle copies of system libraries.
[YES] Owns all it's files.
[YES] Directory ownership meets Perl packaging guidelines.
[YES] Permissions specified properly in %files.
[YES] Contains code, or permissible content.
[YES] Documentation needn't separate package.
[YES] %doc files doesn't affect runtime.
[YES] Cleans buildroot in %clean.
[YES] Cleans buildroot at the beginning of %install.
[YES] All filenames are valid UTF-8.

Other must items doesn't concern.

SHOULD items:

[YES] Builds in mock.
[YES] Builds on all supported architectures. (Package is architecture independent.)
[YES] Sane scriptlets.

Notes:

Package doesn't contain separate file with license (only a note in README). But as far as it is Perl module, requires Perl and is licensed under the same license as Perl, I think it's OK.

So, ACCEPT.

Comment 2 Paul Howarth 2011-08-08 15:30:28 UTC
Package Change Request
======================
Package Name: perl-Tree-DAG_Node
New Branches: EL-4
Owners: pghmcfc
InitialCC: perl-sig

Spot's not interested in EL-4 any more.

Comment 3 Gwyn Ciesla 2011-08-08 15:35:21 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-08-08 16:36:16 UTC
perl-Tree-DAG_Node-1.06-5.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Tree-DAG_Node-1.06-5.el4

Comment 5 Fedora Update System 2011-08-24 23:53:25 UTC
perl-Tree-DAG_Node-1.06-5.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.